## Name

STORE TRIGGER — Indicate that a trigger should not be disabled by Slony-I on a subscriber node

## Synopsis

`STORE TRIGGER (options);`

## Description

By default, all user defined triggers and constraints are disabled on all subscriber nodes while a table is replicated. This command can be used to explicitly exclude a trigger from being disabled.

`TABLE ID = ival`

  The unique, numeric ID number of the table the trigger is defined for.

`TRIGGER NAME = 'string'`

  The name of the trigger as it appears in the `pg_trigger` system catalog.

`EVENT NODE = ival`

  (Optional) The ID of the node used to create the configuration event that tells all existing nodes about the special trigger. Default value is 1.

This uses schemadocstoretrigger( integer, name ).

## Example

    STORE TRIGGER (
        TABLE ID = 2,
        TRIGGER NAME = 'cache_invalidation'
    );